--
-- PostgreSQL database dump
--

-- Dumped from database version 12.9
-- Dumped by pg_dump version 12.10

-- Started on 2023-04-04 08:10:28 UTC

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 202 (class 1259 OID 20008)
-- Name: T_Email_Body; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Email_Body" (
    n_id_app character varying NOT NULL,
    b_attivo character varying(1) NOT NULL,
    t_tipo_email character varying NOT NULL,
    t_corpo bytea NOT NULL
);


ALTER TABLE public."T_Email_Body" OWNER TO notificatore;

--
-- TOC entry 2985 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Email_Body".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- TOC entry 2986 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Email_Body".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- TOC entry 2987 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Email_Body".t_tipo_email; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".t_tipo_email IS 'Tipologia di email';


--
-- TOC entry 2988 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Email_Body".t_corpo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".t_corpo IS 'Corpo dell''email codificato in base64';


--
-- TOC entry 203 (class 1259 OID 20014)
-- Name: T_Keys; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Keys" (
    t_key character varying NOT NULL
);


ALTER TABLE public."T_Keys" OWNER TO notificatore;

--
-- TOC entry 2989 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Keys".t_key; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Keys".t_key IS 'Identificativo univoco della chiave di configurazione';


--
-- TOC entry 204 (class 1259 OID 20020)
-- Name: T_Notification_Conf; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Notification_Conf" (
    n_id_app character varying NOT NULL,
    t_key character varying NOT NULL,
    t_value character varying NOT NULL,
    b_attivo character varying(1) NOT NULL
);


ALTER TABLE public."T_Notification_Conf" OWNER TO notificatore;

--
-- TOC entry 2990 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Notification_Conf".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- TOC entry 2991 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Notification_Conf".t_key; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".t_key IS 'Identificativo univoco della chiave di configurazione';


--
-- TOC entry 2992 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Notification_Conf".t_value; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".t_value IS 'Valore associato alla chiave di configurazione';


--
-- TOC entry 2993 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Notification_Conf".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- TOC entry 205 (class 1259 OID 20026)
-- Name: T_User_Notification; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_User_Notification" (
    n_id_app character varying NOT NULL,
    b_attivo character varying(1) NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL
);


ALTER TABLE public."T_User_Notification" OWNER TO notificatore;

--
-- TOC entry 2994 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_User_Notification".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- TOC entry 2995 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_User_Notification".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- TOC entry 2996 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_User_Notification".d_data_ins; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".d_data_ins IS 'Data di creazione';


--
-- TOC entry 2976 (class 0 OID 20008)
-- Dependencies: 202
-- Data for Name: T_Email_Body; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Email_Body" (n_id_app, b_attivo, t_tipo_email, t_corpo) FROM stdin;
\.


--
-- TOC entry 2977 (class 0 OID 20014)
-- Dependencies: 203
-- Data for Name: T_Keys; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Keys" (t_key) FROM stdin;
FIREBASE_KEY_IOS
EMAIL_ACCOUNT
EMAIL_PASSWORD
EMAIL_PORT
EMAIL_HOST_SMTP
FIREBASE_KEY_ANDROID
BODY_GENERALE
BODY_RECUPERA_PASSWORD
BODY_REGISTRAZIONE
BODY_INFO_1
BODY_INFO_2
BODY_CONFERMA_OPERAZIONE
FIREBASE_SERVER_URL
FIREBASE_SERVER_URL_HTTP_V1
SERVICE_ACCOUNT
\.


--
-- TOC entry 2978 (class 0 OID 20020)
-- Dependencies: 204
-- Data for Name: T_Notification_Conf; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Notification_Conf" (n_id_app, t_key, t_value, b_attivo) FROM stdin;
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_SERVER_URL	https://fcm.googleapis.com/fcm/send	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_KEY_ANDROID	AAAAYnpnKgs:APA91bFRCsO63IZUtoks4knX-2WXWygdW7w8htPU-aYFpzsKz2hkyL8r7LD8fGCRvg89GFWBbIs4qH_pOta3eFdDQAX3wPdk79c0aqFC9o0zIKyr8g5rFNzTe5c3aFfVET6Z1uisbM8H	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_KEY_IOS	AAAAYnpnKgs:APA91bFRCsO63IZUtoks4knX-2WXWygdW7w8htPU-aYFpzsKz2hkyL8r7LD8fGCRvg89GFWBbIs4qH_pOta3eFdDQAX3wPdk79c0aqFC9o0zIKyr8g5rFNzTe5c3aFfVET6Z1uisbM8H	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_SERVER_URL_HTTP_V1	https://fcm.googleapis.com/v1/projects/macs-1a4a6/messages:send	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	SERVICE_ACCOUNT	\t{\n\t  "type": "service_account",\n\t  "project_id": "macs-1a4a6",\n\t  "private_key_id": "be6be3d30d1d98f5bc491d60e655b25e1fee1085",\n\t  "private_key": "-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQDMcH6ZlVthG3lP\\neoRf7+SQG59ebK/5HbSHANOXbkULxA01ZnyU2gU/+a0iUa25INNrSar1oNMpztHr\\nPBz+ybviIT7FsHwkAhR5IgN7LV5YupcpyF4KxlUhgJoiu9yOGGEfIktC84fQ+r7P\\nUNshyxQCm+zpAuItnTsojrCTAZom04E0G76EDP+hTl8dUjwfVl0uaaj7+XCD+ORh\\nACWGjbtXbtSixjRD97Kj0HfeS0KQ845kvNAQrK3fKw2uxA/huqkjiEIeT5RjYqdM\\nnCLVDp7f1ejh5aYNlVEfdc3vnRJbySzid+fuQx0fOUXzucD9Tr063dr3wTxHhIUK\\n5eg8IWWVAgMBAAECggEABkHzPhQ6RdCnd+1SG/Wl01tlF2jQQhnMqs01rM7tQhzw\\nIpBOg+fgfULRL9m8LYx5rDEHEJmpnP/9oOuoH4xhOdy2pSpvwlJl+gc2gBC1cJXV\\nhqvhZQcJGAttrF5/s8G/R0qvbw8xOw5RxNq+ulwS8rl/GOrDrY3Af89OTFGiPEnz\\nCUcBBO/GMVuFdBCvLZpXWkqnys2k9C8VbvcgcsYXFqh9JrnkAcDy+hV41Y3K+y91\\ncqODHSkZIkIhYWUGyKqFI1aNkYPneLuBUwXbwdt0NO+gCuyWTlSaLQvUwUn65q3+\\naHCNhMC2CaTU3O4N/k/NA64QfPz/rHK3xZbRe+XhwQKBgQDsYy3kVHf92msSb2XD\\nWt9XBXkdONsyQcMdblKIGAZ/AfnBVw7MM2YfpRA8XJmQcxhuOnS/LESyRSnDv6qg\\nuUSnBt1hrM9utoNFj5GrpIAvDUfOnFanYe8bHhLze/Zuvdym/hj2PxwFnA3buots\\nPdgVM0i1rtrsduHfgkjrupWlmQKBgQDdZr8bRzezyTizFMP8boMnQnZHLFi5DFnQ\\nYqeQbXBIO/ziZBYBQCzrLKLDamNFQxBjiNnWGjvKKxJvg5gB9P4SuGZbtnsr+ZLN\\n4/DXtFujEyabmvtP+R/koWrKe/rXmbnZCws7iRfuoS0jCx8nhlE5EaeAROGiEi47\\nUSbuYHJFXQKBgEk+9hJhBgk3q6O7tsmQl9GsFXoziuAItn+hFpuq7iBeqVf6NNCb\\nQJKfn+dEPiUfNLu7Cz/NZL/kZGuOMT26CobCvsgsNt40WXqtYNLRlxJ9R/nCQat9\\n0gwSBodBqvtngz6PT4bFyVYHo9eo9tikVRdEm8wIETfiIl0STqwUVZhJAoGAHE2Y\\nPKp8CnW809fhvhF6nrg2Wp7msLFNggA6n5H9+p4AlAhrb7l+hInuPMEK873BCJhk\\nEKTF4/BhqPPPqOBi4o3EOBE56cM76yoqjci2tkAqfVXwrqaQVy/zcPMsfAdg5Mgu\\npWu/LXhZRtOTJgBbvcnt+c3Ucl2Un2yeZ3bY5NkCgYEAvL9I7aomf0n6JRhZeNNb\\nXnXNSFIHmoSLQcQMz3OpU9zMP1f+qKXjZ/UAgRo9gkk2EIAfrTsscWILzWoQmzMO\\nlRC4uBLMbfhykJNdJjssdwHnGc+7ys4xJ382cCuQz/rgic2qJc1NiIgP3f9owJHZ\\nmGUEO618YLNzybcqEodfihQ=\\n-----END PRIVATE KEY-----\\n",\n\t  "client_email": "firebase-adminsdk-kkvhk@macs-1a4a6.iam.gserviceaccount.com",\n\t  "client_id": "102886750807256311104",\n\t  "auth_uri": "https://accounts.google.com/o/oauth2/auth",\n\t  "token_uri": "https://oauth2.googleapis.com/token",\n\t  "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",\n\t  "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-kkvhk%40macs-1a4a6.iam.gserviceaccount.com"\n\t}	Y
\.


--
-- TOC entry 2979 (class 0 OID 20026)
-- Dependencies: 205
-- Data for Name: T_User_Notification; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_User_Notification" (n_id_app, b_attivo, d_data_ins) FROM stdin;
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	Y	2020-04-21 15:13:46.36
\.


--
-- TOC entry 2839 (class 2606 OID 20033)
-- Name: T_Email_Body PK_T_Email_Body; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "PK_T_Email_Body" PRIMARY KEY (n_id_app, t_tipo_email);


--
-- TOC entry 2841 (class 2606 OID 20035)
-- Name: T_Keys PK_T_Keys; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Keys"
    ADD CONSTRAINT "PK_T_Keys" PRIMARY KEY (t_key);


--
-- TOC entry 2845 (class 2606 OID 20037)
-- Name: T_User_Notification PK_T_User_Notification; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_User_Notification"
    ADD CONSTRAINT "PK_T_User_Notification" PRIMARY KEY (n_id_app);


--
-- TOC entry 2843 (class 2606 OID 20039)
-- Name: T_Notification_Conf Pk_T_Notification_Conf; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "Pk_T_Notification_Conf" PRIMARY KEY (n_id_app, t_key);


--
-- TOC entry 2848 (class 2606 OID 20040)
-- Name: T_Notification_Conf FK_Keys; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "FK_Keys" FOREIGN KEY (t_key) REFERENCES public."T_Keys"(t_key);


--
-- TOC entry 2846 (class 2606 OID 20045)
-- Name: T_Email_Body FK_keys; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "FK_keys" FOREIGN KEY (t_tipo_email) REFERENCES public."T_Keys"(t_key);


--
-- TOC entry 2847 (class 2606 OID 20050)
-- Name: T_Email_Body FK_user_notification; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "FK_user_notification" FOREIGN KEY (n_id_app) REFERENCES public."T_User_Notification"(n_id_app);


--
-- TOC entry 2849 (class 2606 OID 20055)
-- Name: T_Notification_Conf FK_user_notification; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "FK_user_notification" FOREIGN KEY (n_id_app) REFERENCES public."T_User_Notification"(n_id_app);


-- Completed on 2023-04-04 08:10:28 UTC

--
-- PostgreSQL database dump complete
--

