--
-- PostgreSQL database dump
--

-- Dumped from database version 12.9
-- Dumped by pg_dump version 12.10

-- Started on 2023-04-04 08:25:32 UTC

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 202 (class 1259 OID 19918)
-- Name: T_Funzionalita; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Funzionalita" (
    n_id_funzionalita numeric NOT NULL,
    t_nome character varying NOT NULL,
    t_descrizione character varying,
    d_data timestamp(6) without time zone NOT NULL,
    b_attivo character varying(1) NOT NULL,
    t_livello_sicurezza character varying NOT NULL,
    t_info_aggiuntive character varying
);


ALTER TABLE public."T_Funzionalita" OWNER TO profilatore;

--
-- TOC entry 3019 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".n_id_funzionalita; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".n_id_funzionalita IS 'Identificativo univoco della funzionalità';


--
-- TOC entry 3020 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".t_nome; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".t_nome IS 'Nome della funzionalità';


--
-- TOC entry 3021 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".t_descrizione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".t_descrizione IS 'Descrizione della funzionalità';


--
-- TOC entry 3022 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".d_data; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".d_data IS 'Data di inserimento della funzionalità';


--
-- TOC entry 3023 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".b_attivo IS 'Stato di attivazione della funzionalità (Y,N)';


--
-- TOC entry 3024 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".t_livello_sicurezza; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".t_livello_sicurezza IS 'Livello di sicurezza associato alla funzionalità';


--
-- TOC entry 3025 (class 0 OID 0)
-- Dependencies: 202
-- Name: COLUMN "T_Funzionalita".t_info_aggiuntive; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita".t_info_aggiuntive IS 'Informazioni aggiuntive da associare alla funzionalità';


--
-- TOC entry 203 (class 1259 OID 19924)
-- Name: T_Funzionalita_Aggiuntive; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Funzionalita_Aggiuntive" (
    n_id_funzionalita numeric NOT NULL,
    n_id_utente numeric NOT NULL,
    b_attivo character varying NOT NULL,
    n_id_funzione numeric NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL
);


ALTER TABLE public."T_Funzionalita_Aggiuntive" OWNER TO profilatore;

--
-- TOC entry 3026 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Funzionalita_Aggiuntive".n_id_funzionalita; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita_Aggiuntive".n_id_funzionalita IS 'Identificativo univoco della funzionalità';


--
-- TOC entry 3027 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Funzionalita_Aggiuntive".n_id_utente; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita_Aggiuntive".n_id_utente IS 'Identificativo univoco dell''utente';


--
-- TOC entry 3028 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Funzionalita_Aggiuntive".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita_Aggiuntive".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- TOC entry 3029 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Funzionalita_Aggiuntive".n_id_funzione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita_Aggiuntive".n_id_funzione IS 'Identificativo univoco della funzione';


--
-- TOC entry 3030 (class 0 OID 0)
-- Dependencies: 203
-- Name: COLUMN "T_Funzionalita_Aggiuntive".d_data_ins; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzionalita_Aggiuntive".d_data_ins IS 'Data di inserimento della funzionalità aggiuntiva';


--
-- TOC entry 204 (class 1259 OID 19930)
-- Name: T_Funzione; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Funzione" (
    n_id_funzione numeric NOT NULL,
    n_id_ruolo numeric NOT NULL,
    t_nome character varying NOT NULL,
    t_descrizione character varying,
    b_attivo character varying(1) NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL
);


ALTER TABLE public."T_Funzione" OWNER TO profilatore;

--
-- TOC entry 3031 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".n_id_funzione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".n_id_funzione IS 'Identificativo univoco della funzione';


--
-- TOC entry 3032 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".n_id_ruolo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".n_id_ruolo IS 'Identificativo univoco del ruolo';


--
-- TOC entry 3033 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".t_nome; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".t_nome IS 'Nome della funzione';


--
-- TOC entry 3034 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".t_descrizione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".t_descrizione IS 'Descrizione della funzione';


--
-- TOC entry 3035 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".b_attivo IS 'Stato di attivazione della funzione (Y,N)';


--
-- TOC entry 3036 (class 0 OID 0)
-- Dependencies: 204
-- Name: COLUMN "T_Funzione".d_data_ins; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione".d_data_ins IS 'Data di inserimento della funzione';


--
-- TOC entry 205 (class 1259 OID 19936)
-- Name: T_Funzione_Funzionalita; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Funzione_Funzionalita" (
    n_id_funzione numeric NOT NULL,
    n_id_funzionalita numeric NOT NULL,
    b_attivo character varying(1) NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL
);


ALTER TABLE public."T_Funzione_Funzionalita" OWNER TO profilatore;

--
-- TOC entry 3037 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_Funzione_Funzionalita".n_id_funzione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione_Funzionalita".n_id_funzione IS 'Identificativo univoco della funzione';


--
-- TOC entry 3038 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_Funzione_Funzionalita".n_id_funzionalita; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione_Funzionalita".n_id_funzionalita IS 'Identificativo univoco della funzionalità';


--
-- TOC entry 3039 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_Funzione_Funzionalita".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione_Funzionalita".b_attivo IS 'Stato di attivazione dell''associazione funzione/funzionalità (Y,N)';


--
-- TOC entry 3040 (class 0 OID 0)
-- Dependencies: 205
-- Name: COLUMN "T_Funzione_Funzionalita".d_data_ins; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Funzione_Funzionalita".d_data_ins IS 'Data di inserimento dell''associazione funzione/funzionalità';


--
-- TOC entry 206 (class 1259 OID 19942)
-- Name: T_Ruolo; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Ruolo" (
    n_id_ruolo numeric NOT NULL,
    n_id_app character varying NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL,
    t_descrizione character varying,
    b_attivo character varying(1) NOT NULL,
    t_nome character varying NOT NULL
);


ALTER TABLE public."T_Ruolo" OWNER TO profilatore;

--
-- TOC entry 3041 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".n_id_ruolo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".n_id_ruolo IS 'Identificativo univoco del ruolo';


--
-- TOC entry 3042 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".n_id_app; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".n_id_app IS 'Identificativo univoco dell''applicazione a cui appartiene il ruolo';


--
-- TOC entry 3043 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".d_data_ins; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".d_data_ins IS 'Data di inserimento del ruolo';


--
-- TOC entry 3044 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".t_descrizione; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".t_descrizione IS 'Descrizione del ruolo';


--
-- TOC entry 3045 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".b_attivo IS 'Stato di attivazione del ruolo (Y,N)';


--
-- TOC entry 3046 (class 0 OID 0)
-- Dependencies: 206
-- Name: COLUMN "T_Ruolo".t_nome; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Ruolo".t_nome IS 'Nome del ruolo';


--
-- TOC entry 207 (class 1259 OID 19948)
-- Name: T_Utenze; Type: TABLE; Schema: public; Owner: profilatore
--

CREATE TABLE public."T_Utenze" (
    n_id_utente numeric NOT NULL,
    n_id_app character varying NOT NULL,
    b_attivo character varying(1) NOT NULL,
    t_id_user character varying NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL,
    n_id_ruolo numeric NOT NULL
);


ALTER TABLE public."T_Utenze" OWNER TO profilatore;

--
-- TOC entry 3047 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".n_id_utente; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".n_id_utente IS 'Identificativo univoco dell''utente';


--
-- TOC entry 3048 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".n_id_app; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".n_id_app IS 'Identificativo univoco dell''applicazione a cui afferisce l''utente';


--
-- TOC entry 3049 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".b_attivo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".b_attivo IS 'Stato di attivazione dell''utente (Y,N)';


--
-- TOC entry 3050 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".t_id_user; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".t_id_user IS 'Identificativo univoco dell''utente nel contesto dell''applicazione';


--
-- TOC entry 3051 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".d_data_ins; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".d_data_ins IS 'Data di inserimento dell''utente';


--
-- TOC entry 3052 (class 0 OID 0)
-- Dependencies: 207
-- Name: COLUMN "T_Utenze".n_id_ruolo; Type: COMMENT; Schema: public; Owner: profilatore
--

COMMENT ON COLUMN public."T_Utenze".n_id_ruolo IS 'Identificativo univoco del ruolo associato all''utente';


--
-- TOC entry 208 (class 1259 OID 19954)
-- Name: sq_funzionalita; Type: SEQUENCE; Schema: public; Owner: profilatore
--

CREATE SEQUENCE public.sq_funzionalita
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_funzionalita OWNER TO profilatore;

--
-- TOC entry 209 (class 1259 OID 19956)
-- Name: sq_funzione; Type: SEQUENCE; Schema: public; Owner: profilatore
--

CREATE SEQUENCE public.sq_funzione
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_funzione OWNER TO profilatore;

--
-- TOC entry 210 (class 1259 OID 19958)
-- Name: sq_ruolo; Type: SEQUENCE; Schema: public; Owner: profilatore
--

CREATE SEQUENCE public.sq_ruolo
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_ruolo OWNER TO profilatore;

--
-- TOC entry 211 (class 1259 OID 19960)
-- Name: sq_utenze; Type: SEQUENCE; Schema: public; Owner: profilatore
--

CREATE SEQUENCE public.sq_utenze
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_utenze OWNER TO profilatore;

--
-- TOC entry 3004 (class 0 OID 19918)
-- Dependencies: 202
-- Data for Name: T_Funzionalita; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Funzionalita" (n_id_funzionalita, t_nome, t_descrizione, d_data, b_attivo, t_livello_sicurezza, t_info_aggiuntive) FROM stdin;
7	Tutorial	Tutorial dell'applicazione	2022-01-26 16:49:59.14	Y	autenticato	/tabs/menu/tutorial|icona_tutorial.svg|menu
4	Gestione Notifiche	Funzionalità che permette di gestire la tipologia delle notifiche push che si vuole ricevere	2020-04-21 16:29:02.08	Y	autenticato	/tabs/menu/gestione-notifiche|icona_temporanea.svg|menu
1	Prenotazione	Funzionalità per effettuare la prenotazione	2020-04-21 16:29:01.511	Y	autenticato	/tabs/home/prenotazione-step1|icona_prenotazione.svg|home
3	Tutorial	Tutorial dell'applicazione	2020-04-21 16:29:01.871	Y	autenticato	/tabs/home/tutorial|icona_tutorial.svg|home
2	Elenco prenotazioni	Funzionalità per visualizzare lo storico delle prenotazioni	2020-04-21 16:29:01.646	Y	autenticato	/tabs/menu/storico-prenotazione|icona_storico_prenotazione.svg|menu
6	Pratiche	Funzionalità per visualizzare le pratiche del cittadino	2022-01-26 16:48:00.184	Y	autenticato	/tabs/home/procedure|icona_pratiche.svg|home
\.


--
-- TOC entry 3005 (class 0 OID 19924)
-- Dependencies: 203
-- Data for Name: T_Funzionalita_Aggiuntive; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Funzionalita_Aggiuntive" (n_id_funzionalita, n_id_utente, b_attivo, n_id_funzione, d_data_ins) FROM stdin;
\.


--
-- TOC entry 3006 (class 0 OID 19930)
-- Dependencies: 204
-- Data for Name: T_Funzione; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Funzione" (n_id_funzione, n_id_ruolo, t_nome, t_descrizione, b_attivo, d_data_ins) FROM stdin;
1	1	Gestione Prenotazioni	Funzione contenente l'insieme delle funzionalità inerenti alle prenotazioni	Y	2020-04-21 16:29:01.407
2	1	Help	Funzione che racchiude tutte le funzionalità di aiuto	Y	2020-04-21 16:29:01.785
3	1	Impostazioni	Funzione che racchiude tutte le funzionalità per le impostazioni	Y	2020-04-21 16:29:01.997
6	1	Gestore pratiche	La funzione permette la gestione delle pratiche	Y	2022-01-26 16:47:01.85
\.


--
-- TOC entry 3007 (class 0 OID 19936)
-- Dependencies: 205
-- Data for Name: T_Funzione_Funzionalita; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Funzione_Funzionalita" (n_id_funzione, n_id_funzionalita, b_attivo, d_data_ins) FROM stdin;
1	1	Y	2020-04-21 16:29:01.554
1	2	Y	2020-04-21 16:29:01.686
2	3	Y	2020-04-21 16:29:01.913
3	4	Y	2020-04-21 16:29:02.121
6	6	Y	2022-01-26 16:49:04.69
2	7	Y	2022-01-26 16:56:37.247
\.


--
-- TOC entry 3008 (class 0 OID 19942)
-- Dependencies: 206
-- Data for Name: T_Ruolo; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Ruolo" (n_id_ruolo, n_id_app, d_data_ins, t_descrizione, b_attivo, t_nome) FROM stdin;
1	3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	2020-04-21 16:29:01.307	Ruolo associato alle utenze dei cittadini	Y	CITTADINO
\.


--
-- TOC entry 3009 (class 0 OID 19948)
-- Dependencies: 207
-- Data for Name: T_Utenze; Type: TABLE DATA; Schema: public; Owner: profilatore
--

COPY public."T_Utenze" (n_id_utente, n_id_app, b_attivo, t_id_user, d_data_ins, n_id_ruolo) FROM stdin;
\.


--
-- TOC entry 3053 (class 0 OID 0)
-- Dependencies: 208
-- Name: sq_funzionalita; Type: SEQUENCE SET; Schema: public; Owner: profilatore
--

SELECT pg_catalog.setval('public.sq_funzionalita', 7, true);


--
-- TOC entry 3054 (class 0 OID 0)
-- Dependencies: 209
-- Name: sq_funzione; Type: SEQUENCE SET; Schema: public; Owner: profilatore
--

SELECT pg_catalog.setval('public.sq_funzione', 6, true);


--
-- TOC entry 3055 (class 0 OID 0)
-- Dependencies: 210
-- Name: sq_ruolo; Type: SEQUENCE SET; Schema: public; Owner: profilatore
--

SELECT pg_catalog.setval('public.sq_ruolo', 1, true);


--
-- TOC entry 3056 (class 0 OID 0)
-- Dependencies: 211
-- Name: sq_utenze; Type: SEQUENCE SET; Schema: public; Owner: profilatore
--

SELECT pg_catalog.setval('public.sq_utenze', 1, true);


--
-- TOC entry 2865 (class 2606 OID 19963)
-- Name: T_Ruolo Constraint_unic_app_nome; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Ruolo"
    ADD CONSTRAINT "Constraint_unic_app_nome" UNIQUE (n_id_app, t_nome);


--
-- TOC entry 2867 (class 2606 OID 19965)
-- Name: T_Ruolo PK; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Ruolo"
    ADD CONSTRAINT "PK" PRIMARY KEY (n_id_ruolo);


--
-- TOC entry 2863 (class 2606 OID 19967)
-- Name: T_Funzione_Funzionalita PK_Funzione_Funzionalita; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzione_Funzionalita"
    ADD CONSTRAINT "PK_Funzione_Funzionalita" PRIMARY KEY (n_id_funzione, n_id_funzionalita);


--
-- TOC entry 2859 (class 2606 OID 19969)
-- Name: T_Funzionalita_Aggiuntive PK_funzionalita_aggiuntive; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzionalita_Aggiuntive"
    ADD CONSTRAINT "PK_funzionalita_aggiuntive" PRIMARY KEY (n_id_funzionalita, n_id_utente);


--
-- TOC entry 2857 (class 2606 OID 19971)
-- Name: T_Funzionalita T_Funzionalita_pkey; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzionalita"
    ADD CONSTRAINT "T_Funzionalita_pkey" PRIMARY KEY (n_id_funzionalita);


--
-- TOC entry 2861 (class 2606 OID 19973)
-- Name: T_Funzione T_Funzione_pkey; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzione"
    ADD CONSTRAINT "T_Funzione_pkey" PRIMARY KEY (n_id_funzione);


--
-- TOC entry 2869 (class 2606 OID 19975)
-- Name: T_Utenze T_Utenze_pkey; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Utenze"
    ADD CONSTRAINT "T_Utenze_pkey" PRIMARY KEY (n_id_utente);


--
-- TOC entry 2871 (class 2606 OID 19977)
-- Name: T_Utenze UtenzeAppUserUnique; Type: CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Utenze"
    ADD CONSTRAINT "UtenzeAppUserUnique" UNIQUE (n_id_app, t_id_user);


--
-- TOC entry 2872 (class 2606 OID 19978)
-- Name: T_Funzionalita_Aggiuntive FK_Funzionalita; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzionalita_Aggiuntive"
    ADD CONSTRAINT "FK_Funzionalita" FOREIGN KEY (n_id_funzionalita) REFERENCES public."T_Funzionalita"(n_id_funzionalita);


--
-- TOC entry 2875 (class 2606 OID 19983)
-- Name: T_Funzione_Funzionalita FK_Funzione; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzione_Funzionalita"
    ADD CONSTRAINT "FK_Funzione" FOREIGN KEY (n_id_funzione) REFERENCES public."T_Funzione"(n_id_funzione);


--
-- TOC entry 2874 (class 2606 OID 19988)
-- Name: T_Funzione FK_T_Ruolo; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzione"
    ADD CONSTRAINT "FK_T_Ruolo" FOREIGN KEY (n_id_ruolo) REFERENCES public."T_Ruolo"(n_id_ruolo);


--
-- TOC entry 2877 (class 2606 OID 19993)
-- Name: T_Utenze FK_Utenza_Ruolo; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Utenze"
    ADD CONSTRAINT "FK_Utenza_Ruolo" FOREIGN KEY (n_id_ruolo) REFERENCES public."T_Ruolo"(n_id_ruolo);


--
-- TOC entry 2873 (class 2606 OID 19998)
-- Name: T_Funzionalita_Aggiuntive FK_Utenze; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzionalita_Aggiuntive"
    ADD CONSTRAINT "FK_Utenze" FOREIGN KEY (n_id_utente) REFERENCES public."T_Utenze"(n_id_utente);


--
-- TOC entry 2876 (class 2606 OID 20003)
-- Name: T_Funzione_Funzionalita Fk_Funzionalita; Type: FK CONSTRAINT; Schema: public; Owner: profilatore
--

ALTER TABLE ONLY public."T_Funzione_Funzionalita"
    ADD CONSTRAINT "Fk_Funzionalita" FOREIGN KEY (n_id_funzionalita) REFERENCES public."T_Funzionalita"(n_id_funzionalita);


-- Completed on 2023-04-04 08:25:32 UTC

--
-- PostgreSQL database dump complete
--

