import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';
import { TutorialGuard } from './guard';

const routes: Routes = [
  { path: '', redirectTo: 'tutorial', pathMatch: 'full' },

  {
    path: 'tabs',
    loadChildren: () => import('../app/pages/tabs').then(m => m.TabsPageModule)
  },
  {
    path: 'dettaglio-news',
    loadChildren: () => import('./pages/news-eventi/dettaglio-news/dettaglio-news.module').then(m => m.DettaglioNewsPageModule)
  },
  {
    path: 'dettaglio-prenotazione',
    loadChildren: () => import('./pages/prenotazione/dettaglio-prenotazione/dettaglio-prenotazione.module').then((m) => m.DettaglioPrenotazionePageModule),
  },
  {
    path: 'tutorial',
    loadChildren: () => import('./pages/informazioni').then(m => m.TutorialPageModule),
    canLoad: [TutorialGuard]
  },
  {
    path: 'noconnection',
    loadChildren: () => import('./pages/manutenzione').then(m => m.NoConnectionPageModule)
  },
  { path: 'auth/callback', loadChildren: () => import('./pages/auth').then(m => m.AuthCallbackPageModule) },
  { path: 'auth/endsession', loadChildren: () => import('./pages/auth').then(m => m.EndSessionPageModule) },
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule { }
