import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { InfoUserProcedure, ProcedureStatus } from 'src/app/models';
import { GPFORM, MAXLENGTH } from 'src/app/utility/global-constant';

@Component({
	selector: "app-card-procedure",
	templateUrl: "./card-procedure.component.html",
	styleUrls: ["./card-procedure.component.scss"],
})
export class CardProcedureComponent implements OnInit {
	@Input() infoUserProcedure: InfoUserProcedure;
	@Input() listaProcedureStatus: Array<ProcedureStatus> = [];
	@Output() detailsProcedureComp = new EventEmitter<void>();
	lenghtTruncateName: number = MAXLENGTH.nameUserProcedure;
	protocollo: string = GPFORM.protocollo;
	created: string = GPFORM.created;
	updated: string = GPFORM.updated;

	constructor() {}

	ngOnInit() {}

	transform(value: string, limit: number): string {
		return value.length < limit ? value : value.slice(0, limit) + "...";
	}

	detailsProcedure() {
		this.detailsProcedureComp.emit();
	}
}
