import { Component, EventEmitter, Input, OnInit, Output, ViewChild } from '@angular/core';
import { IonSlides } from '@ionic/angular';
import { MessageChat } from 'src/app/models';
import { IMAGE } from 'src/app/utility/global-constant';
import { CONFIGSLIDECHAT } from 'src/app/utility/slider-chat.config';

@Component({
  selector: 'app-chat-message',
  templateUrl: './chat-message.component.html',
  styleUrls: ['./chat-message.component.scss'],
})
export class ChatMessageComponent implements OnInit {
  @ViewChild(IonSlides) slides: IonSlides;
  @Input() isBot: boolean;
  @Input() isUser: boolean;  
  @Input() message: MessageChat;
  @Output() quickRepliesCmp = new EventEmitter<string>();
  slideOpts = CONFIGSLIDECHAT;
  imgChat: string = IMAGE.imgChat;
  widthImgChat: number = IMAGE.widthImgChat;
  heightImgChat: number = IMAGE.heightImgChat;
  imgUser: string = IMAGE.imgUser;
  widthImgUser: number = IMAGE.widthImgUser;
  heightImgUser: number = IMAGE.heightImgUser;
  nowDate: Date = new Date();
  constructor() { }

  ngOnInit() {}

  ngAfterViewInit(): void {
    setTimeout(() => {
      if(this.slides) {
        this.slides.update();
      }
    }, 500);
  }

  quickReplies(question: string) {
    this.quickRepliesCmp.emit(question);
  }

}
