import { Component, Input, OnInit } from '@angular/core';
import { IMAGE } from 'src/app/utility/global-constant';

@Component({
	selector: "app-generic-skeleton",
	templateUrl: "./generic-skeleton.component.html",
	styleUrls: ["./generic-skeleton.component.scss"],
})
export class GenericSkeletonComponent implements OnInit {
	@Input() type: string;
	@Input() size: number;
	listaTimes: Array<number> = [];
	listaSquares: number[][] = [];
	widthImgChat: number = IMAGE.widthImgChat;
	heightImgChat: number = IMAGE.heightImgChat;
	styleSkeletonMC: Object;
	sizeRowsSquare: number;
	sizeColsquare: number;

	constructor() {
		this.setStyle();
		this.setUtility();
	}

	setUtility() {
		this.sizeRowsSquare = 3;
		this.sizeColsquare = 2;
	}

	setListe() {
		if (this.size) for (let i = 0; i < this.size; i++) this.listaTimes.push(3);
		if (this.type === "HOMESQUARES") this.setListSquares();
	}

	setListSquares() {
		let listaCol: number[] = [];
		for (let i = 0; i < this.sizeColsquare; i++) listaCol.push(3);
		for (let i = 0; i < this.sizeRowsSquare; i++) this.listaSquares.push(listaCol);
	}

	ngOnInit() {
		this.setListe();
	}

	setStyle() {
		this.styleSkeletonMC = {
			height: this.heightImgChat + "px",
			width: this.widthImgChat + "px",
			"border-radius": "50%",
		};
	}
}
