import { Component, Input, OnInit } from '@angular/core';
import { VariableGp } from 'src/app/models';
import { GPFORM } from 'src/app/utility/global-constant';

@Component({
  selector: 'app-gp-variables',
  templateUrl: './gp-variables.component.html',
  styleUrls: ['./gp-variables.component.scss'],
})
export class GpVariablesComponent implements OnInit {
  @Input() listaVariablesGp: Array<VariableGp>;
  titleCard: string = GPFORM.headerVariables;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean;
  iconArrow: string;
  zeroVariables: string = GPFORM.zeroVariables;

  constructor() {
    this.setUtility();
  }

  ngOnInit() { }
  
  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
      this.openCard();
    },300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if (this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }
}
