import { Component, Input, OnInit } from '@angular/core';
import { Platform } from '@ionic/angular';
import { IMAGE } from 'src/app/utility/global-constant';

@Component({
	selector: "app-header",
	templateUrl: "./header.component.html",
	styleUrls: ["./header.component.scss"],
})
export class HeaderComponent implements OnInit {
	@Input() titleHeader: string;
	@Input() subTitleHeader: string;
	@Input() showLogo: boolean;
	ios: boolean;
	android: boolean;
	logoHeader: string = IMAGE.logoHeader;
	widhtLogo: number = IMAGE.widthLogo;
	heightLogo: number = IMAGE.heightLogo;

	constructor(private platform: Platform) {
		this.checkPlatform();
	}

	ngOnInit() {}

	checkPlatform() {
		this.ios = this.platform.is("ios");
		this.android = this.platform.is("android");
	}
}
