import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Funzionalita } from 'src/app/models';

@Component({
	selector: "app-home-card",
	templateUrl: "./home-card.component.html",
	styleUrls: ["./home-card.component.css"],
})
export class HomeCardComponent implements OnInit {
	@Input() functionality: Funzionalita;
	@Output() onFunctionalitySelect: EventEmitter<Funzionalita> = new EventEmitter<Funzionalita>();
	size_array_pipe: number = 3;
	icon_default = "macs-icon-temporanea";

	constructor() {}

	ngOnInit() {}

	getIcon(info: string): string {
		let array_pipe = info.split("|");
		if (array_pipe.length === this.size_array_pipe) {
			if (array_pipe[1] !== "") {
				return "assets/icon/" + array_pipe[1];
			} else {
				return this.icon_default;
			}
		} else {
			return this.icon_default;
		}
	}

	selectFunctionality() {
		this.onFunctionalitySelect.emit(this.functionality);
	}
}
