import { Component, OnInit } from '@angular/core';
import { AlertButton, ModalController } from '@ionic/angular';

import { GlobalService } from '../../services/global/global.service';
import { DURATIONTOAST } from '../../utility/global-constant';

@Component({
	selector: 'app-modal-pdf-viewer',
	templateUrl: './modal-pdf-viewer.component.html',
	styleUrls: ['./modal-pdf-viewer.component.css'],
})
export class ModalPdfViewerComponent implements OnInit {
	pdfSrc: string;
	base64File: string | Blob;
	fileName: string;
	titleHeader: string = 'PDF Viewer';
	constructor(private modalController: ModalController, private globalService: GlobalService) {}

	ngOnInit() {}

	closeModal() {
		this.modalController.dismiss();
	}

	downloadFile() {
		if (this.fileName && this.base64File) {
			const buttons: AlertButton[] = [
				{
					text: 'No',
					handler: () => {
						console.log('download annullato');
					},
				},
				{
					text: 'Si',
					cssClass: 'secondary',
					handler: () => {
						if (this.fileName && this.fileName.replace('.pdf', '').length === 0) {
							this.fileName = `document_${new Date().getTime()}.pdf`;
						}
						this.globalService
							.downloadFile(this.fileName, this.base64File)
							.then((res) => {
								// this.globalService.presentToast('Il file è stato salvato nella cartella Download del dispositivo', DURATIONTOAST.default);
								this.globalService.openFile(res.nativeURL);
							})
							.catch((err) => {
								console.log('err:', JSON.stringify(err));
								this.globalService.presentToast('Impossibile scaricare il file', DURATIONTOAST.default);
							});
					},
				},
			];
			this.globalService.presentAlertConfirm('Conferma Download', 'Si desidera scaricare il file ?', buttons);
		}
	}
}
