import { Component, EventEmitter, Input, OnInit, Output, ViewChild } from '@angular/core';
import { IonSlides } from '@ionic/angular';
import { Observable } from 'rxjs';
import { Funzionalita } from 'src/app/models';
import { UtilityService } from 'src/app/services';

@Component({
  selector: 'app-multiple-square-home',
  templateUrl: './multiple-square-home.component.html',
  styleUrls: ['./multiple-square-home.component.scss'],
})
export class MultipleSquareHomeComponent implements OnInit {
  @ViewChild(IonSlides) slides: IonSlides;
  @Input() listaFunzionalitaFBR: Array<Funzionalita>[][];
  @Output() funztaSelectedComp = new EventEmitter<Funzionalita>();
  size_array_pipe: number = 3;
  icon_default = 'macs-icon-temporanea';

  constructor(
    private utilityService: UtilityService) { }

  ngOnInit() {
    this.subscribeToUpdateSlide();
  }

  ngAfterViewInit(): void {
    setTimeout(() => {
      this.slides.update();
    }, 800);
  }

  selezionaFunzionalita(funzta: Funzionalita) {
    this.funztaSelectedComp.emit(funzta);
  }

  getIcon(info: string): string {
    let array_pipe = info.split('|');
    if (array_pipe.length === this.size_array_pipe) {
      if (array_pipe[1] !== '') {
        return 'assets/icon/' + array_pipe[1];
      } else {
        return this.icon_default;
      }
    } else {
      return this.icon_default;
    }
  }

  subscribeToUpdateSlide() {
    this.utilityService.updateSlideHome$.subscribe({
      next: (value) => {
     if(value) {
          this.slides.update();
        } 
      },
      error: () => { }
    });
  }

}
