import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { NewsEventiDettaglio } from 'src/app/models';
import { MAXLENGTH } from 'src/app/utility/global-constant';

import { IMAGE } from '../../utility/global-constant';

@Component({
	selector: 'app-news-eventi',
	templateUrl: './news-eventi.component.html',
	styleUrls: ['./news-eventi.component.scss'],
})
export class NewsEventiComponent implements OnInit {
	@Input() newsEventiDettaglio: NewsEventiDettaglio;
	@Output() detailsNEcomp = new EventEmitter<void>();
	imageTemp: string = IMAGE.neLocandinaTemp;
	showAltImage: boolean = false;
	lenghtTruncateTitle: number = MAXLENGTH.titoloNewsEventi;

	constructor() {}

	ngOnInit() {}

	detailsNE() {
		this.detailsNEcomp.emit();
	}

	transform(value: string, limit: number): string {
		return value.length < limit ? value : value.slice(0, limit) + '...';
	}

	loadAlternativeImage() {
		this.showAltImage = true;
	}
}
