import { Component, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ModalController } from '@ionic/angular';
import { CalendarComponentOptions } from 'ion2-calendar';
import * as moment from 'moment';
import { CALENDAR_OPTION } from 'src/app/utility/ps-date-ranger-constants';

@Component({
  selector: 'app-ps-date-ranger',
  templateUrl: './ps-date-ranger.component.html',
  styleUrls: ['./ps-date-ranger.component.scss'],
})
export class PsDateRangerComponent implements OnInit {
  dateRange: FormControl = new FormControl();
  type: 'time';
  optionsRange: CalendarComponentOptions = CALENDAR_OPTION;

  constructor(private modalController: ModalController) {
    moment.locale('it-IT')
    this.dateRange.valueChanges.subscribe(res => {
    })
  }

  ngOnInit() { }

  confirmDates() {
    if (this.dateRange.value) {
      this.modalController.dismiss(this.dateRange.value);
    }
  }

  closeDates() {
    this.modalController.dismiss();
  }

  selectedDate() {
    if (this.dateRange.value) {
      this.dateRange.setValue(null)
    }
  }
}
