import { NgZone } from "@angular/core";
import { Platform } from "@ionic/angular";
import { Requestor, StorageBackend } from "@openid/appauth";
import { AuthService, Browser } from "ionic-appauth";
import { NgxUiLoaderService } from "ngx-ui-loader";
import { DELAYAUTH, AUTHCONFIG_IDP, CONSOLE } from "src/app/utility";

export let authFactory = (
  platform: Platform,
  ngZone: NgZone,
  requestor: Requestor,
  browser: Browser,
  storage: StorageBackend,
  ngxService: NgxUiLoaderService
) => {
  const authService = new AuthService(browser, storage, requestor);
  authService.authConfig = AUTHCONFIG_IDP;
  /*   CONSOLE.log && console.log(
      "[authFactory - authFactory - authConfig]",
      authService.authConfig
    ); */
  if (!platform.is("cordova")) {
    authService.authConfig.redirect_url =
      window.location.origin + "/auth/callback";
    authService.authConfig.end_session_redirect_url =
      window.location.origin + "/auth/callback";
    /*    window.location.origin + "/auth/endsession"; */
    /*        ngxService.start();
               setTimeout(() => {
                 ngxService.stop();
               }, DELAYAUTH.delayAfterLoginIDP); */
  }
  if (platform.is("cordova")) {
    (window as any).handleOpenURL = (callbackUrl) => {
      ngZone.run(() => {
        if (callbackUrl.indexOf(authService.authConfig.redirect_url) === 0) {
          authService.authorizationCallback(callbackUrl);
          ngxService.start();
          setTimeout(() => {
            ngxService.stop();
          }, DELAYAUTH.delayAfterLoginIDP);
        } else {
          authService.endSessionCallback();
        }
      });
    };
  }
  return authService;
};
