import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { RxFormBuilder } from '@rxweb/reactive-form-validators';

import { PrenotazioneAnagraficaFormModel } from './prenotazione-anagrafica-form.model';

@Component({
	selector: "app-prenotazione-anagrafica-form",
	templateUrl: "./prenotazione-anagrafica-form.component.html",
	styleUrls: ["./prenotazione-anagrafica-form.component.scss"],
})
export class PrenotazioneAnagraficaFormComponent implements OnInit {
	@Output() goToNextForm = new EventEmitter<void>();
	form: FormGroup;

	constructor(private formBuilder: RxFormBuilder) {}

	ngOnInit() {}

	creaForm(pafm: PrenotazioneAnagraficaFormModel) {
		this.form = this.formBuilder.formGroup(pafm);
	}

	set codice_fiscale(codice_fiscale: string) {
		this.form.get("codice_fiscale").setValue(codice_fiscale);
	}

	get codice_fiscale() {
		return this.form.get("codice_fiscale").value;
	}

	set nome(nome: string) {
		this.form.get("nome").setValue(nome);
	}

	get nome() {
		return this.form.get("nome").value;
	}

	set cognome(cognome: string) {
		this.form.get("cognome").setValue(cognome);
	}

	get cognome() {
		return this.form.get("cognome").value;
	}

	set data_nascita(data_nascita: any) {
		this.form.get("data_nascita").setValue(data_nascita);
	}

	get data_nascita() {
		return this.form.get("data_nascita").value;
	}

	set sesso(sesso: string) {
		this.form.get("sesso").setValue(sesso);
	}

	get sesso() {
		return this.form.get("sesso").value;
	}

	set telefono(telefono: string) {
		this.form.get("telefono").setValue(telefono);
	}

	get telefono() {
		return this.form.get("telefono").value;
	}

	set cellulare(cellulare: string) {
		this.form.get("cellulare").setValue(cellulare);
	}

	get cellulare() {
		return this.form.get("cellulare").value;
	}

	set email(email: string) {
		this.form.get("email").setValue(email);
	}

	get email() {
		return this.form.get("email").value;
	}

	set prefix(prefix: string) {
		this.form.get("prefix").setValue(prefix);
	}

	get prefix() {
		return this.form.get("prefix").value;
	}

	disableForm() {
		this.form.disable();
	}

	disablePartialForm() {
		this.form.controls["codice_fiscale"].disable();
		this.form.controls["nome"].disable();
		this.form.controls["cognome"].disable();
		this.form.controls["email"].disable();
		this.form.controls["sesso"].disable();
		this.form.controls["data_nascita"].disable();
	}

	enableForm() {
		this.form.enable();
	}

	enablePartialForm() {
		this.form.controls["codice_fiscale"].enable();
		this.form.controls["nome"].enable();
		this.form.controls["cognome"].enable();
		this.form.controls["email"].enable();
		this.form.controls["sesso"].enable();
		this.form.controls["data_nascita"].enable();
	}

	resetForm() {
		this.form.reset();
		this.form.markAsPristine();
		this.form.markAsUntouched();
		this.form.updateValueAndValidity();
	}

	goToNext() {
		this.goToNextForm.emit();
	}
}
