import { pattern, prop, required } from '@rxweb/reactive-form-validators';
import { messages } from 'src/app/utility';
import { regex_form_control } from 'src/app/utility/form-constant';

export class PrenotazioneAnagraficaFormModel {
	@required({ message: messages.codice_fiscale.required })
	@pattern({ expression: { onlyAlpha: regex_form_control.codice_fiscale }, message: messages.codice_fiscale.pattern })
	codice_fiscale: string;

	@required({ message: messages.nome.required })
	nome: string;

	@required({ message: messages.cognome.required })
	cognome: string;

	@required({ message: messages.data_nascita.required })
	data_nascita: string;

	@required({ message: messages.sesso.required })
	sesso: string;

	@pattern({ expression: { onlyAlpha: regex_form_control.telefono }, message: messages.telefono.pattern })
	telefono: string;

	@pattern({ expression: { onlyAlpha: regex_form_control.prefix }, message: messages.prefix.pattern })
	prefix: string;

	@prop()
	cellulare: string;

	@prop()
	email: string;

	constructor() {
		this.codice_fiscale = '';
		this.nome = '';
		this.cognome = '';
		this.data_nascita = null;
		this.sesso = '';
		this.telefono = '';
		this.email = '';
		this.prefix = null;
	}
}
