import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthGuard } from 'src/app/guard';

import { TabsPage } from './tabs.page';

const routes: Routes = [
	{
		path: '',
		component: TabsPage,
		children: [
			{
				path: 'home',
				canActivate: [AuthGuard] /*  canActivate: [AuthGuard], TODO: per spid decommentare */,
				loadChildren: () => import('../').then((m) => m.HomePageModule),
			},
			{
				path: 'home/:params',
				canActivate: [AuthGuard],
				loadChildren: () => import('../').then((m) => m.HomePageModule),
			},
			{
				path: 'news',
				loadChildren: () => import('../../news-eventi').then((m) => m.NewsPageModule),
			},
			{
				path: 'poi',
				loadChildren: () => import('../').then((m) => m.PoiPageModule),
			},
			{
				path: 'menu',
				loadChildren: () => import('../').then((m) => m.MenuPageModule),
			},
			{
				path: 'landing',
				loadChildren: () => import('../').then((m) => m.LandingPageModule),
			},
			{
				path: 'comunicazione/:params',
				loadChildren: () => import('../../news-eventi').then((m) => m.ComunicazionePageModule),
			},
			{
				path: 'comunicazione',
				loadChildren: () => import('../../news-eventi').then((m) => m.ComunicazionePageModule),
			},
			{
				path: 'chat',
				loadChildren: () => import('../../chat-bot').then((m) => m.ChatPageModule),
			},
			{
				path: 'p-step1',
				loadChildren: () => import('../../prenotazione').then((m) => m.PrenotazioneStep1PageModule),
			},
			{
				path: 'dettaglio-prenotazione/:params',
				loadChildren: () => import('../../prenotazione').then((m) => m.DettaglioPrenotazionePageModule),
			},
			{
				path: 'dettaglio-prenotazione',
				loadChildren: () => import('../../prenotazione').then((m) => m.DettaglioPrenotazionePageModule),
			},
			{
				path: 'gestione-notifiche',
				loadChildren: () => import('../../impostazioni').then((m) => m.GestioneNotifichePageModule),
			},
			{
				path: '',
				redirectTo: '/tabs/home',
				pathMatch: 'full',
			},
		],
	},
	{
		path: '',
		redirectTo: '/tabs/home',
		pathMatch: 'full',
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
})
export class TabsPageRoutingModule {}
