import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Comunicazione, ComunicazioneRequest, ResultDTO } from 'src/app/models';
import { MACS_API } from 'src/app/utility';

const GET_COMUNICAZIONE: string = '/comunicazione/1.0/getComunicazioneById?';

@Injectable({
  providedIn: 'root'
})
export class ComunicazioneService {

  constructor(public httpClient: HttpClient) {}

  getComunicazione(comunicazioneRequest: ComunicazioneRequest): Observable<ResultDTO<Comunicazione>> {
    let parametri = '&id=' + comunicazioneRequest.id;
      return this.httpClient.get<ResultDTO<Comunicazione>>(`${MACS_API}${GET_COMUNICAZIONE}${parametri}`);
  }
}
