import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { FirebaseRequest, LogoutRequest, ResultDTO } from 'src/app/models';
import { MACS_API } from 'src/app/utility';

export const SEND_TF: string = '/token/1.0/sendTokenFirebase';
export const LOGOUT_DISPOSITIVO: string = '/token/1.0/logoutDispositivo';


@Injectable({
  providedIn: 'root'
})
export class FirebaseService {

  constructor(private httpClient: HttpClient) { }

  sendTokenFirebase(firebaseRequest: FirebaseRequest): Observable<ResultDTO<any>> {
    return this.httpClient.post<ResultDTO<any>>(
      `${MACS_API}${SEND_TF}`,
      firebaseRequest.piattaforma && firebaseRequest.uuid
        ? firebaseRequest
        : {
            ...firebaseRequest,
            piattaforma: "Android",
            uuid: "13d699984f7b57b5",
          }
    );
  }

  logoutDispositivo(logoutRequest: LogoutRequest): Observable<ResultDTO<any>> {
    return this.httpClient.post<ResultDTO<any>>(`${MACS_API}${LOGOUT_DISPOSITIVO}`, logoutRequest);
  }
}
