import { HttpHeaders } from '@angular/common/http';

const environment = {
    develop: true, //false produzione, true apiBaseUrl
    browser: false,
};

const ENDPOINTS = {
    develop: {
        macs: 'https://test-api-gateway.comune.salerno.it/content/v1',
        portaleIstituzionale: 'https://test-api-gateway.comune.salerno.it/portaleistituzionale/v1', //collaudo test-api
        chat: 'https://test-chatbot.comune.salerno.it/iside/chat',
        gestorePratiche: 'https://test-api-gateway.comune.salerno.it/gestionepratiche/v1',
        openStreetMaps: 'https://nominatim.openstreetmap.org'

    },
    production: {
        macs: 'https://api-gateway.comune.salerno.it/content/v1',
        portaleIstituzionale: 'https://api-gateway.comune.salerno.it/portaleistituzionale/v1',
        chat: 'https://chatbot.comune.salerno.it/iside/chat',
        gestorePratiche: 'https://api-gateway.comune.salerno.it/gestionepratiche/v1',
        openStreetMaps: 'https://nominatim.openstreetmap.org'
    },
};

const URL: any = {
    macs: environment.develop ? ENDPOINTS.develop.macs : ENDPOINTS.production.macs, //apiBaseUrl
    portaleIstituzionale: environment.develop ? ENDPOINTS.develop.portaleIstituzionale : ENDPOINTS.production.portaleIstituzionale, //collaudo test-api
    chat: environment.develop ? ENDPOINTS.develop.chat : ENDPOINTS.production.chat,
    gestorePratiche: environment.develop ? ENDPOINTS.develop.gestorePratiche : ENDPOINTS.production.gestorePratiche,
    openStreetMaps: environment.develop ? ENDPOINTS.develop.openStreetMaps : ENDPOINTS.production.openStreetMaps
};

const APPLICATIONID = {
    appIdSvil: '3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667',
};

const CREDENTIALS_DRUPAL = {
    username: 'drupal',
    password: 'drupal',
};

const IDS = {
    credentials: {
        develop: {
            client_id: '1OT43ABOVKyp_4KRlbPBd2ZQyFIa',
            client_secret: 'ctu8ei7VvjazvRqfSyiBp1DkwYQa',
        },
        production: {
            client_id: 'CQRjUr3_oOri90LIG2tRRwQ6O1Ua',
            client_secret: 'VHHXMu6BDTGFGqYg6kyahGYKqtga',
        },
    },
    endpoint: {
        develop_is: 'https://test-ids.comune.salerno.it/oauth2/oidcdiscovery', //"https://test-ids.comune.salerno.it/oauth2/oidcdiscovery", //
        production_is: 'https://ids.comune.salerno.it/oauth2/token',
        develop_token: 'https://test-ids.comune.salerno.it/oauth2/token',
        production_token: 'https://ids.comune.salerno.it/oauth2/token',
    },
};

const AUTHCONFIG = {
    client_id: environment.develop ? IDS.credentials.develop.client_id : IDS.credentials.production.client_id,
    client_secret: environment.develop ? IDS.credentials.develop.client_secret : IDS.credentials.production.client_secret,
    server_host: environment.develop ? IDS.endpoint.develop_is : IDS.endpoint.production_is, //todo ec togliere test
    redirect_url: environment.browser ? 'http://localhost:4200/auth/callback' : 'appauth://callback',
    end_session_redirect_url: environment.browser ? 'http://localhost:4200/auth/callback' : 'appauth://endsession',
    scopes: 'openid',
    pkce: false,
    //redirect_url: 'appauth://callback',
    //end_session_redirect_url: 'appauth://endsession',
};

export const AUTH_LOGOUT = {
    revokeToken: false,
};

const SECRETS = Object.freeze({
    client_id_dev: '1OT43ABOVKyp_4KRlbPBd2ZQyFIa',
    client_secret_dev: 'ctu8ei7VvjazvRqfSyiBp1DkwYQa',
    client_id_prod: 'CQRjUr3_oOri90LIG2tRRwQ6O1Ua',
    client_secret_prod: 'VHHXMu6BDTGFGqYg6kyahGYKqtga',
});

export const SILENT_AUTHCONFIG = Object.freeze({
    body: {
        grant_type: 'password',
        // username: "l.santaniello",
        username: 'admin',
        // password: "password",
        password: 'admin',
    },
    headers: {
        [`Content-Type`]: 'application/x-www-form-urlencoded',
        Authorization: `Basic ${btoa(
            `${environment.develop ? SECRETS.client_id_dev : SECRETS.client_id_prod}:${
                environment.develop ? SECRETS.client_secret_dev : SECRETS.client_secret_prod
            }`
        )}`, //todo controllo
    },
    refreshBody: {
        grant_type: 'password',
        username: 'admin',
        password: 'admin',
        refresh_token: null,
    },
    endpoint: environment.develop ? IDS.endpoint.develop_token : IDS.endpoint.production_token,
});

export const REFRESH_TOKEN_AUTHCONFIG = Object.freeze({
    headers: {
        [`Content-Type`]: 'application/x-www-form-urlencoded',
        Authorization: `Basic ${btoa(
            `${environment.develop ? SECRETS.client_id_dev : SECRETS.client_id_prod}:${
                environment.develop ? SECRETS.client_secret_dev : SECRETS.client_secret_prod
            }`
        )}`, //todo controllo
    },
    refreshBody: {
        grant_type: 'refresh_token',
        refresh_token: null,
    },
    endpoint: environment.develop ? IDS.endpoint.develop_token : IDS.endpoint.production_token,
});

//REMOVE
export const TOKENGB: string =
    'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI0MiIsImF1ZCI6IjEiLCJleHAiOjI0OTU3MTQyNDh9.ER69yLTGLYLm4MJOXNgdNTlvMtAHCnmTgA3tXi56zXu_UcpbIld-ZHTT1LtJuRSAC_JqeSRSrUdrh8Kf_45qLg';

export const REQGP = {
    identifier: 'RSSPLA80A01H501T', //Paolo Rossi nato a Roma il 1/1/1980
    firstName: 'Paolo',
    lastName: 'Rossi',
};

export const MACS_API: string = URL.macs;
export const PORTALE_ISTITUZIONALE_API: string = URL.portaleIstituzionale;
export const CHAT_API: string = URL.chat;
export const GP_API: string = URL.gestorePratiche;
export const MACS_APPID: string = APPLICATIONID.appIdSvil;
export const AUTHCONFIG_IDP = AUTHCONFIG;
export const AU_DRUPAL_IMAGE: string = URL.drupalAllegati;
export const USERNAME_DRUPAL: string = CREDENTIALS_DRUPAL.username;
export const PWD_DRUPAL: string = CREDENTIALS_DRUPAL.password;
export const OPEN_STREET_MAP_API: string = URL.openStreetMaps;
export const httpOptions = {
    headers: new HttpHeaders({
        'Content-Type': 'application/json',
        'Access-Control-Allow-Origin': 'GET, POST',
    }),
};

export const OPEN_WITH_EXTERNAL_BROWSER = true;
