package it.itsvil.notificatore.backend.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.notificatore.backend.dto.EmailBodyDTO;
import it.itsvil.notificatore.backend.dto.NotificationConfDTO;
import it.itsvil.notificatore.backend.mapper.NotificatoreMapper;

@Repository(value = "NotificatoreDaoImpl")
public class NotificatoreDaoImpl implements NotificatoreDao{

	@Autowired
	NotificatoreMapper mapper;

	@Override
	public List<NotificationConfDTO> getEmailProperties(String n_id_app) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("n_id_app", n_id_app);		
		return mapper.getEmailProperties(map);
	}

	@Override
	public EmailBodyDTO getEmailBody(String n_id_app, String typeBody) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("n_id_app", n_id_app);	
		map.put("typeBody", typeBody);
		return mapper.getEmailBody(map);
	}
	
	public NotificationConfDTO getKeyforPushNotification (String n_id_app, String t_key) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("n_id_app", n_id_app);	
		map.put("t_key", t_key);
		return mapper.getKeyforPushNotification(map);
	}

	
}
