package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class EmailDTO implements Serializable{
	
	private static final long serialVersionUID = 8373936666158065035L;
	
	@Schema(required=true, description="Tipologia di body da utilizzare per l'invio dell'email")
	private String typeBody;
	
	@Schema(required=true, description="Oggetto della mail")
	private String textOgetto;
	
	@Schema(required=false, description="Lista di valori da sostituire nei placeholder del corpo dell'email")
	private List<String> placeHolder;
	
	@Schema(required=true, description="Indirizzi email dei destinatari")
	private List<String> destinatari;
	
	public String getTypeBody() {
		return typeBody;
	}
	
	public void setTypeBody(String typeBody) {
		this.typeBody = typeBody;
	}
	
	public String getTextOgetto() {
		return textOgetto;
	}
	
	public void setTextOgetto(String textOgetto) {
		this.textOgetto = textOgetto;
	}
	
	public List<String> getPlaceHolder() {
		return placeHolder;
	}
	
	public void setPlaceHolder(List<String> placeHolder) {
		this.placeHolder = placeHolder;
	}
	
	public List<String> getDestinatari() {
		return destinatari;
	}
	
	public void setDestinatari(List<String> destinatari) {
		this.destinatari = destinatari;
	}
	
}
