package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class DettaglioFunzioneDTO implements Serializable{

	private static final long serialVersionUID = 4528201348476511311L;
	
	@Schema(required=true, description="Identificativo univoco della funzione")
	private Long n_id_funzione;
	
	@Schema(required=true, description="Nome della funzione")
	private String t_nome;
	
	@Schema(required=true, description="Descrizione della funzione")
	private String t_descrizione;
	
	@Schema(hidden=true)
	private String b_attivo;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di inserimento della funzione")
	private LocalDateTime d_data_ins;
	
	@Schema(required=false, description="Lista delle funzionalità associate alla funzione")
	private List<FunzionalitaDTO> funzionalita;
	
	public Long getN_id_funzione() {
		return n_id_funzione;
	}
	
	public void setN_id_funzione(Long n_id_funzione) {
		this.n_id_funzione = n_id_funzione;
	}
	
	public String getT_nome() {
		return t_nome;
	}
	
	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
	public String getT_descrizione() {
		return t_descrizione;
	}
	
	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}
	
	public List<FunzionalitaDTO> getFunzionalita() {
		return funzionalita;
	}
	
	public void setFunzionalita(List<FunzionalitaDTO> funzionalita) {
		this.funzionalita = funzionalita;
	}
	
}
