package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class FunzioneFunzionalitaDTO implements Serializable{
	
	private static final long serialVersionUID = 2536021335601403208L;
	
	@Schema(required=true, description="Identificativo univoco della funzione")
	private Long n_id_funzione;
	
	@Schema(required=true, description="Identificativo univoco della funzionalità")
	private Long n_id_funzionalita;
	
	@Schema(required=true, description="Stato di attivazione dell'associazione funzione/funzionalità", allowableValues="Y,N")
	private String b_attivo;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di inserimento dell'associazione funzione/funzionalità")
	private LocalDateTime d_data_ins;
	
	public Long getN_id_funzione() {
		return n_id_funzione;
	}
	
	public void setN_id_funzione(Long n_id_funzione) {
		this.n_id_funzione = n_id_funzione;
	}
	
	public Long getN_id_funzionalita() {
		return n_id_funzionalita;
	}
	
	public void setN_id_funzionalita(Long n_id_funzionalita) {
		this.n_id_funzionalita = n_id_funzionalita;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}

	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}

	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}
	
	
	
}
