package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertFunzionalitaRequestDTO implements Serializable{

	private static final long serialVersionUID = 3456666276816217060L;
	
	@Schema(required=true, description="Nome della funzionalità")
	private String t_nome_funzionalita;
	
	@Schema(required=false, description="Descrizione della funzionalità")
	private String t_descrizione_funzionalita;
	
	@Schema(required=true, description="Livello di sicurezza associato alla funzionalità")
	private String t_livello_sicurezza;
	
	@Schema(required=false, description="Informazioni aggiuntive da associare alla funzionalità")
	private String t_info_aggiuntive;
	
	public String getT_nome_funzionalita() {
		return t_nome_funzionalita;
	}

	public void setT_nome_funzionalita(String t_nome_funzionalita) {
		this.t_nome_funzionalita = t_nome_funzionalita;
	}

	public String getT_descrizione_funzionalita() {
		return t_descrizione_funzionalita;
	}

	public void setT_descrizione_funzionalita(String t_descrizione_funzionalita) {
		this.t_descrizione_funzionalita = t_descrizione_funzionalita;
	}

	public String getT_livello_sicurezza() {
		return t_livello_sicurezza;
	}
	
	public void setT_livello_sicurezza(String t_livello_sicurezza) {
		this.t_livello_sicurezza = t_livello_sicurezza;
	}

	public String getT_info_aggiuntive() {
		return t_info_aggiuntive;
	}

	public void setT_info_aggiuntive(String t_info_aggiuntive) {
		this.t_info_aggiuntive = t_info_aggiuntive;
	}
	
}
