package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class UpdateFunzioneRequestDTO implements Serializable{
	
	private static final long serialVersionUID = 5827415260218085799L;
	
	@Schema(required=true, description="Identificativo univoco della funzione")
	private Long n_id_funzione;
	
	@Schema(required=true, description="Identificativo univoco dell ruolo")
	private Long n_id_ruolo;
	
	@Schema(required=false, description="Nome della funzione")
	private String t_nome;
	
	@Schema(required=false, description="Descrizione della funzione")
	private String t_descrizione;
	
	@Schema(required=false, description="Stato di attivazione della funzione", allowableValues="Y,N")
	private String b_attivo;

	public Long getN_id_funzione() {
		return n_id_funzione;
	}

	public void setN_id_funzione(Long n_id_funzione) {
		this.n_id_funzione = n_id_funzione;
	}

	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}

	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}

	public String getT_nome() {
		return t_nome;
	}

	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}

	public String getT_descrizione() {
		return t_descrizione;
	}

	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}

	public String getB_attivo() {
		return b_attivo;
	}

	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	
	
}
